const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const codigoSituacaoPage = require('../../../page-objects/parametrizacao/documentos fiscais/codigoSituacaoOperacaoSimples.po.js');
const j = require('../../../json/leitorJson.po.js');
const protractorHelper = require('protractor-helper');

const codigoSituacaoGridId = '8008519117967073533338';
describe('Tela Código de Situação de Operação do Simples Nacional', () => {
	beforeEach(() => {
		browser.get('http://erpteste.teknisa.com/login/');
		loginPage.login(j.getValor('login'), j.getValor('senha'));
		codigoSituacaoPage.abrir();
		codigoSituacaoPage.filta(j.getValor('empresa').concat(' Teknisa'), '978962810001', 'Entrada', j.getValor('tipoOperacao'));
		z.component.footer.clickRightActionByLabel('Filtrar', true);
	});

	afterEach(() => {
		geral.sair();
	});

	it('Acessar a tela Código de Situação de Operação do Simples Nacional', () => {
		protractorHelper.waitForElementVisibility(element(by.id(`grid-${codigoSituacaoGridId}`)));

		expect(z.component.header.getTitle())
			.toBe('Código de Situação de Operação do Simples Nacional');
	});

	it('Adicionar uma situação de operação', () => {
		geral.clickAdicionar();
		codigoSituacaoPage.adicionar(j.getValor('nomeProduto'), j.getValor('CSOSN'),
			j.getValor('grupoFiscal'), 'Sim');
		geral.clickSalvar();
		geral.filterIt(j.getValor('nomeProduto'));
		protractorHelper.waitForElementVisibility(element(by.id(`grid-${codigoSituacaoGridId}`)));

		expect(geral.gridHasText(codigoSituacaoGridId, j.getValor('nomeProduto'), 4))
			.toBe(j.getValor('nomeProduto'));
		expect(geral.gridHasText(codigoSituacaoGridId, j.getValor('CSOSN'), 5))
			.toBe(j.getValor('CSOSN'));
	});

	it('Editar o registro adicionado no passo anterior', () => {
		geral.clickGrid('NMPRODUTO', j.getValor('nomeProduto'), codigoSituacaoGridId);
		geral.clickEditar();
		codigoSituacaoPage.editar(j.getValor('nomeProduto1'), j.getValor('CSOSN1'),
			j.getValor('grupoFiscal1'), 'Não');
		geral.clickSalvar();
		geral.filterIt(j.getValor('nomeProduto1'));
		protractorHelper.waitForElementVisibility(element(by.id(`grid-${codigoSituacaoGridId}`)));

		expect(geral.gridHasText(codigoSituacaoGridId, j.getValor('nomeProduto1'), 4))
			.toBe(j.getValor('nomeProduto1'));
		expect(geral.gridHasText(codigoSituacaoGridId, j.getValor('CSOSN1'), 5))
			.toBe(j.getValor('CSOSN1'));
	});

	it('Excluir o registro adicionado', () => {
		geral.clickGrid('NMPRODUTO', j.getValor('nomeProduto1'), codigoSituacaoGridId);
		geral.clickExcluir();
		geral.clickSim();
		protractorHelper.waitForElementVisibility(element(by.id(`grid-${codigoSituacaoGridId}`)));

		expect(geral.gridHasText(codigoSituacaoGridId, j.getValor('nomeProduto1'), 4))
			.toBeUndefined();
		expect(geral.gridHasText(codigoSituacaoGridId, j.getValor('CSOSN1'), 5))
			.toBeUndefined();
	});
});
